summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorTony Sarajärvi <tony.sarajarvi@digia.com>2013-10-10 12:39:39 +0300
committerThe Qt Project <gerrit-noreply@qt-project.org>2013-10-10 13:58:26 +0200
commit90dc51807a6f70081a27f6d6490408aaa0732f13 (patch)
treee7afd4d29b82ae5e5f41546816301c77b037e030
parent047db656a737d43c0260407192857d42dc510bcb (diff)
Add a boostrap script for OpenSuSE 12.3
Task-number: QTQAINFRA-745 Change-Id: I75c9e71e0008657be9675893891f07ce11945cad Reviewed-by: Heikki Halmet <heikki.halmet@digia.com> Reviewed-by: Simo Fält <simo.falt@digia.com>
-rw-r--r--bootstrap/opensuse123_bootstrap.sh86
1 files changed, 86 insertions, 0 deletions
diff --git a/bootstrap/opensuse123_bootstrap.sh b/bootstrap/opensuse123_bootstrap.sh
new file mode 100644
index 0000000..c290b84
--- /dev/null
+++ b/bootstrap/opensuse123_bootstrap.sh
@@ -0,0 +1,86 @@
+#!/bin/bash
+#############################################################################
+##
+## Copyright (C) 2013 Digia Plc and/or its subsidiary(-ies).
+## Contact: http://www.qt-project.org/legal
+##
+## This file is part of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and Digia. For licensing terms and
+## conditions see http://qt.digia.com/licensing. For further information
+## use the contact form at http://qt.digia.com/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 as published by the Free Software
+## Foundation and appearing in the file LICENSE.LGPL included in the
+## packaging of this file. Please review the following information to
+## ensure the GNU Lesser General Public License version 2.1 requirements
+## will be met: http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## In addition, as a special exception, Digia gives you certain additional
+## rights. These rights are described in the Digia Qt LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## GNU General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU
+## General Public License version 3.0 as published by the Free Software
+## Foundation and appearing in the file LICENSE.GPL included in the
+## packaging of this file. Please review the following information to
+## ensure the GNU General Public License version 3.0 requirements will be
+## met: http://www.gnu.org/copyleft/gpl.html.
+##
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+# Bootstrap a clean OpenSuSE 12.3 system to be managed by puppet.
+
+REPO="$1"
+if [ "x$REPO" = "x" ]; then
+ {
+ echo "Usage: $(basename $0) git://some/git/repo"
+ echo ""
+ echo "Set up this machine to be managed using the puppet config in the given"
+ echo "git repository (e.g. git://qt.gitorious.org/qtqa/sysadmin.git)"
+ } 1>&2
+ exit 2
+fi
+
+set -e
+set -x
+
+if ! test -e /usr/bin/git; then
+ echo Installing git...
+ zypper install -y git-core
+else
+ echo git is already installed
+fi
+
+if ! test -e /usr/bin/puppet; then
+ echo Installing puppet...
+ zypper install -y puppet
+else
+ echo puppet is already installed
+fi
+
+if ! test -d /var/qtqa/sysadmin; then
+ echo "Grabbing $REPO ..."
+ mkdir -p /var/qtqa
+ git clone "$REPO" /var/qtqa/sysadmin
+fi
+
+echo "Configuring this node..."
+/var/qtqa/sysadmin/puppet/nodecfg.pl -interactive
+
+# Run puppet once.
+echo "Running puppet..."
+/var/qtqa/sysadmin/puppet/sync_and_run.pl
+set +x
+echo 'All done :-)'